Packages - Bug #3368

Bug # 3372 (fixed): [various]: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory - may

require chrooting

pacman -Syu error breaks pacman - may require chrooting
2022-11-05 07:13 AM - penaiple

Status: fixed % Done: 90%
Priority: bug

Assignee: bill-auger

Category:

Description

pacman -Syu (yay -Syu) error, breaks pacman and requires chrooting + reinstallation of openssl

[root@nsa ~]# pacman

pacman: error while loading shared libraries: libcrypto.so.l.l: cannot open shared object file:

such file or directory

No

this requires a chroot or pacstrap in a live OS to reinstall openssl, or backing up /usr/bin/pacman or /usr/lib/libcrypto.so.1.1

beforehand, moving the file(s) back later.

History

#1 - 2022-11-05 07:34 AM - penaiple

[fed@nsa ~] ~> yay -R openssl-1.1
checking dependencies...

Packages (1) openssl-1.1-1.1.1.s-2
Total Removed Size: 5.51 MiB

Do you want to remove these packages? [Y/n]
Processing package changes...
(1/1) removing openssl-1.1

Running post-transaction hooks...
(1/3) Arming ConditionNeedsUpdate...
(2/3) Refreshing PackageKit...
(3/3) disable automatic archlinux-keyring refresh
[

fed@nsa ~] ~> yay —-S openssl-1.1
yay: error while loading shared libraries: libcrypto.so.l.l: cannot open shared object file:
irectory
[fed@nsa ~] ~> sudo cp libcrypto.so.l.1l /usr/lib
[fed@nsa ~] ~> yay -S openssl-1.1

resolving dependencies...
looking for conflicting packages...

Packages (1) openssl-1.1-1.1.1.s-2
Total Installed Size: 5.51 MiB

Proceed with installation? [Y/n]
(1/1) checking keys in keyring

] 100%
(1/1) checking package integrity
——————————————————————————————————————————— 1 100%
(1/1) loading package files
——————————————————————————————————————————— ] 100%
(1/1) checking for file conflicts

] 100%

error: failed to commit transaction (conflicting files)
openssl-1.1: /usr/lib/libcrypto.so.l.l exists in filesystem
Errors occurred, no packages were upgraded.

—> error installing repo packages

[fed@nsa ~] ~> yay -S openssl-1.1 —--overwrite "*"

resolving dependencies...

looking for conflicting packages...
Packages (1) openssl-1.1-1.1.1.s-2
Total Installed Size: 5.51 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring [m—m———

——————————————————————————————————————————— 1 100%

(1/1) checking package integrity [
——————————————————————————————————————————— ] 100%

(1/1) loading package files [-————————————
——————————————————————————————————————————— ] 100%

(1/1) checking for file conflicts [
——————————————————————————————————————————— 1 100%

(1/1) checking available disk space [
——————————————————————————————————————————— ] 100%

:: Processing package changes...

(1/1) installing openssl-1.1 [-————————————
——————————————————————————————————————————— ] 100%

: Running post-transaction hooks...

(1/3) Arming ConditionNeedsUpdate...

(2/3) Refreshing PackageKit...

(3/3) disable automatic archlinux-keyring refresh

here is a demonstration of what you need to do to prevent/fix this problem.

apparenly, libcrypto.so.1.1 now comes from openssl-1.1, but is required by pacman.

yet the openssl-1.1 package is NOT a pacman dependency (yet), which will break pacman and require you to manually copy over the libcrypto.so.1.1
file into /usr/lib, and reinstall openssl + openssl-1.1 with --overwrite "*".

#2 - 2022-11-05 09:26 AM - reg

Just wanted to say that I've just run into the same problem.

#3 - 2022-11-05 10:11 AM - direnis

| fixed it by first pacstrapping "openssl|" and "openssl-1.1" to the root, then chrooted and ran mkinitcpio and grub-mkconfig. (I think grub-mkconfig is
unnecessary but i ran it just to make sure.)

#4 - 2022-11-05 07:07 PM - nona

Does this happen with a system without yay? that is: does it happen with Parabola? yay is not part, supported, and possibly not recommended in
Parabola. Please, do not create a bug report for something which is not part of Parabola. If you want to know if someone can help you, your first bet is
to try to reach the developers of the package or possibly using the forum (not a bug report).

#5 - 2022-11-05 08:11 PM - v3d
Can confirm this breaks upgrades (with yay), fresh parabola installs and arch migrations (no yay) for me.
Tested in VMs just now.
#6 - 2022-11-05 10:44 PM - nona
v3d wrote:
Can confirm this breaks upgrades (with yay), fresh parabola installs and arch migrations (no yay) for me.
Tested in VMs just now.

Sorry. Can you rephrase? From the message, it seems that the problem is indeed yay ("breaks upgrades (with yay)"), not Parabola ("fresh parabola
installs ... (no yay)"). Thank you.

#7 - 2022-11-06 10:01 AM - bill-auger

- Status changed from unconfirmed to in progress

- Description updated

- Subject changed from pacman -Syu (yay -Syu) error, breaks pacman and requires chrooting + reinstallation of openss! to pacman -Syu error breaks
pacman - may require chrooting - error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory

#8 - 2022-11-06 10:01 AM - bill-auger

- Assignee set to bill-auger
#9 - 2022-11-06 10:21 AM - bill-auger
the current '‘pacman’ package in libre works now with the new openssl-1.1 package - installing the new 'openssl|-1.1' package first before upgrading,
(probably) avoids the bug

those who have not yet upgraded openssl can prepare (probably) to avoid the bug:

# ## openssl 1.1.1.* installed (before upgrading):
# pacman -Sy openssl-1.1 parabola-keyring && pacman -Su

if ppl need to repair now:

# ## openssl 3.* installed (after upgrading) :
# pacstrap /path/to/broken/system/ openssl-1.1 parabola-keyring
# ## —-> then reboot then pacman -Syu

but the pacman in libre-testing is the proper fix - can ppl plz test it?

## openssl 1.1.1.* installed (before upgrading):

pacman -Sy parabola-keyring

pacman -U https://repo.parabola.nu/pool/parabola/pacman-6.0.1-4.parabola4-x86_64.pkg.tar.zst
pacman —-Su

HH H H

# ## openssl 3.* (after upgrading) :

# pacstrap /path/to/broken/system/ parabola-keyring

# pacstrap /path/to/broken/system/ -U https://repo.parabola.nu/pool/parabola/pacman-6.0.1-4.parabolad4-x86_64
.pkg.tar.zst

# ## —-> then reboot then pacman -Syu

#10 - 2022-11-06 11:22 AM - bill-auger

probably also these are affected:

$ parabola-dependents libcrypto.so
direct parabola dependents:
pcr/assh
pcr/check-pacman-mtree
pcr/icinga
pcr/icinga2
pcr/icinga2-common
pcr/ipmiutil
pcr/kamailio-autheph-modules
pcr/kamailio-mongodb-modules
pcr/kamailio-outbound-modules
pcr/kamailio-websocket-modules
pcr/libtorrent-extended
pcr/ocaml-ssl
pcr/perspectives-server
libre/ruby
libre/ruby2.7
pcr/snapraid
pcr/tahoe-lafs
pcr/trousers

#11 - 2022-11-06 02:41 PM - Mampir

It seems like systemd-cryptsetup is also affected by this issue and I'm not sure how to make it work anymore. Decrypting a volume during initramfs
now fails. It fails even after doing a clean installation with openssl-1.1 installed.

| don't see any errors when making the initramfs system, but when booting | get errors during the "Cryptography Setup for crypt" step. Maybe the
issue is somehow related to whirlpool and openssl-1.1, but since | still don't understand how to fix this issue yet, I'm pasting my logs here:

Nov 06 15:55:42 parabola systemd[l]: Starting Cryptography Setup for crypt...
Subject: A start job for unit systemd-cryptsetup@crypt.service has begun execution
Defined-By: systemd

Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

A start job for unit systemd-cryptsetup@crypt.service has begun execution.

The job identifier is 17.
Nov 06 15:55:42 parabola kernel: input: AT Translated Set 2 keyboard as /devices/platform/i8042/serioO/input/i
nput3
Nov 06 15:55:43 parabola systemd-cryptsetup[l170]: Requested LUKS hash whirlpool is not supported.

Nov 06 15:55:43 parabola systemd-cryptsetup[170]: Failed to load LUKS superblock on device /dev/disk/by-uuid/x
XXXKXKX-XKXXKKX-XXKXK-XXXKX-XXKXKXKXKXKXXKXXXX: Invalid argument

Nov 06 15:55:43 parabola kernel: device-mapper: uevent: version 1.0.3

Nov 06 15:55:43 parabola kernel: device-mapper: ioctl: 4.45.0-ioctl (2021-03-22) initialised: dm-devel@redhat.
com

Nov 06 15:55:43 parabola kernel: audit: type=1130 audit (1667742942.997:5): pid=1 uid=0 auid=4294967295 ses=429
4967295 msg='unit=systemd-cryptsetup@crypt comm="systemd" exe="/init" hostname=? addr=? terminal=? res=failed'
Nov 06 15:55:42 parabola audit[1l]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-
cryptsetup@crypt comm="systemd" exe="/init" hostname=? addr=? terminal=? res=failed'

Nov 06 15:55:43 parabola systemd[l]: systemd-cryptsetup@crypt.service: Main process exited, code=exited, statu
s=1/FAILURE

Subject: Unit process exited

Defined-By: systemd

Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

An ExecStart= process belonging to unit systemd-cryptsetup@crypt.service has exited.

The process' exit code is 'exited' and its exit status is 1.

Nov 06 15:55:43 parabola systemd[l]: systemd-cryptsetup@crypt.service: Failed with result 'exit-code'.
© Subject: Unit failed

Defined-By: systemd

Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

The unit systemd-cryptsetup@crypt.service has entered the 'failed' state with result 'exit-code'.
Nov 06 15:55:43 parabola systemd[l]: Failed to start Cryptography Setup for crypt.

Subject: A start Jjob for unit systemd-cryptsetup@crypt.service has failed

Defined-By: systemd

Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

A start job for unit systemd-cryptsetup@crypt.service has finished with a failure.

The job identifier is 17 and the job result is failed.

Nov 06 15:55:43 parabola systemd[1l]: Dependency failed for Local Encrypted Volumes.
Subject: A start job for unit cryptsetup.target has failed

Defined-By: systemd

Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

A start job for unit cryptsetup.target has finished with a failure.

i The job identifier is 16 and the job result is dependency.
Nov 06 15:55:43 parabola systemd[l]: cryptsetup.target: Job cryptsetup.target/start failed with result 'depend
ency'.
Nov 06 15:55:43 parabola systemd[l]: Reached target System Initialization.
Subject: A start job for unit sysinit.target has finished successfully

Defined-By: systemd
Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

#12 - 2022-11-06 02:43 PM - Mampir

If someone is still able to boot from an encrypted LUKS partition, please tell.

#13 - 2022-11-06 09:47 PM - bill-auger

If someone is still able to boot from an encrypted LUKS partition, please tell.

there is an arch bug report tracking that problem:
https://bugs.archlinux.org/task/76440

i ahve not read the bug report; but i think you can correct that
by installing 'openssl|-1.1'

#14 - 2022-11-07 02:08 AM - Mampir

As | wrote previously, | did install openssl-1.1 and then | made the initramfs image. The logs are with openssl-1.1 installed. All the packages are up to
date. Also, | can see that libcrypto.so.1.1 and libcrypto.so0.3 are both inside the initramfs image:

# lsinitcpio /boot/initramfs-linux-libre-1lts.img | grep libcrypto
usr/lib/libcrypto.so.1l.1
usr/lib/libcrypto.so.3

The arch bug report seems like it's not resolved too. I'm still not sure if anyone is able to boot from an encrypted LUKS partition.
#15 - 2022-11-07 02:13 AM - bill-auger

to be clear - you have both openssl packages installed? and the system will not boot? - this command shows both openssl packages?

$ pacman -Qs openssl

#16 - 2022-11-07 02:14 AM - GNUtoo

I've tested the advise to install openssl-1.1 to recover a broken system and it worked.

| booted from the install iso and opened my encrypted partition and chrooted inside (if you have other partitions as well you need to mount them too).
For example:

# mount /dev/mapper/<my-partition> /mnt

# mount /dev/sdal /mnt/boot

| then chrooted inside:

# arch-chroot /mnt

And | did:

# pacman -Syu
# pacman -S openssl-1.1
# mkinitcpio -p linux-libre

| then rebooted and chose linux-libre and it booted fine.
Here pacman worked.

On another system that | didn't reboot yet, pacman didn't work so | did that instead:

# cd /var/cache/pacman/pkg

# gpg —-verify openssl-1.1.1.g-1.0-1686.pkg.tar.zst.sig

gpg: assuming signed data in 'openssl-1.1.1.g-1.0-i686.pkg.tar.zst'

gpg: Signature made jeu. 07 juil. 2022 11:43:07 CEST

gpg: using RSA key 16194A82231E9EF823562181C8ESF5A0AF9BATET

gpg: Good signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!

gpg: There is no indication that the signature belongs to the owner.
Primary key fingerprint: 1619 4A82 231E 9EF8 2356 2181 C8E8 F5A0 AF9B ATE7

# tar xf openssl-1.1.1.g-1.0-1686.pkg.tar.zst -C /

Then that made pacman work again, so | did that:

# pacman -S openssl openssl-1.1 --overwrite="*"

# mkinitcpio -p linux-libre

And the warnings during mkinitcpio disapeared and pacman also still worked fine.

#17 - 2022-11-07 02:15 AM - GNUtoo

| forgot to mention that the broken system used an encrypted partition and that it was running parabola x86_64 (I was told that i686 and armv7h were
not affected yet).

#18 - 2022-11-07 03:42 AM - eliotime3000

In my case, that bug appeared and | didn't have my partitions encrypted and all that jazz.

Using the installation ISO, what | did is mount my Parabola partition first and pacstrapped openSSL 1.1 (I mean, pacstrap /mnt openssl-1.1), then |
applied that mkinitcpio -p linux-libre command in the arch-chroot /mnt stage, unmounted everywthing, rebooted and | saved my Parabola partition in
my netbook. I'll make that procedure in my Desktop PC.

Thanks for that advice. | hope that OpenSSL 3.0.x will be patched ASAP.

#19 - 2022-11-07 05:52 AM - Mampir

bill-auger wrote:

to be clear - you have both openssl packages installed? and the system will not boot? - this command shows both openssl| packages?
Yes, they are both installed:

$ pacman —-Qs openssl
local/libevent 2.1.12-4
local/openssl 3.0.7-2
local/openssl-1.1 1.1.1.s-2

Also I'm remaking the initramfs image after that:

mkinitcpio -p linux-libre
==> Building image from preset: /etc/mkinitcpio.d/linux-libre.preset: 'default'
-> -k /boot/vmlinuz-linux-libre -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-libre.img
==> Starting build: 5.18.14-gnu-1
-> Running build hook: [base]
—> Running build hook: [udev]
—-> Running build hook: [autodetect]
-> Running build hook: [modconf]
—> Running build hook: [block]
—-> Running build hook: [keyboard]
-> Running build hook: [systemd]
—> Running build hook: [sd-encrypt]
—-> Running build hook: [lvm2]
-> Running build hook: [filesystems]
—> Running build hook: [fsck]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-libre.img

=> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-libre.preset: 'fallback'
-> -k /boot/vmlinuz-linux-libre -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-libre-fallback.img -S autod
etect
==> Starting build: 5.18.14-gnu-1
-> Running build hook: [base]
—> Running build hook: [udev]
—> Running build hook: [modconf]
-> Running build hook: [block]
—> Running build hook: [keyboard]
—> Running build hook: [systemd]
-> Running build hook: [sd-encrypt]
—> Running build hook: [lvm2]
—> Running build hook: [filesystems]
-> Running build hook: [fsck]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-libre-fallback.img
==> Image generation successful

When | try to boot | get the same message:
Nov 06 15:55:43 parabola systemd[l]: Failed to start Cryptography Setup for crypt.

In the "journalctl -xb" | can see:

Nov 07 07:33:43 parabola systemd[l]: Starting Cryptography Setup for crypt...

Nov 07 07:33:43 parabola kernel: device-mapper: uevent: version 1.0.3

Nov 07 07:33:43 parabola kernel: device-mapper: ioctl: 4.46.0-ioctl (2022-02-22) initialised: dm-devel@redhat.
com

Nov 07 07:33:43 parabola systemd-cryptsetup[l67]: Requested LUKS hash whirlpool is not supported.

Nov 07 07:33:43 parabola systemd-cryptsetup[l167]: Failed to load LUKS superblock on device /dev/disk/by-uuid/x
XXXKXKX-XKXXKKX-XXKXXK-XXXKX-XXKXKXKXKXKXXKXXXX: Invalid argument

Nov 07 07:33:43 parabola systemd[l]: systemd-cryptsetup@crypt.service: Main process exited, code=exited, statu
s=1/FAILURE

Nov 07 07:33:43 parabola systemd[l]: systemd-cryptsetup@crypt.service: Failed with result 'exit-code'.

Nov 07 07:33:43 parabola systemd[l]: Failed to start Cryptography Setup for crypt.

Nov 07 07:33:43 parabola systemd[l]: Dependency failed for Local Encrypted Volumes.

Nov 07 07:33:43 parabola systemd[l]: cryptsetup.target: Job cryptsetup.target/start failed with result 'depend
ency'.

Nov 07 07:33:43 parabola audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg="'unit=systemd-
cryptsetupl@crypt comm="systemd" exe="/init" hostname=? addr=? terminal=? res=failed'

#20 - 2022-11-07 06:26 AM - Mampir
| think the issue might be related to OpenSSL 3 not supporting whirlpool, while OpenSSL 1.1 was supporting it:

$ openssl-1.1 dgst | grep whirlpool
-ssl3-shal -whirlpool

$ openssl dgst -list | grep whirlpool

$ openssl version

OpenSSL 3.0.7 1 Nov 2022 (Library: OpenSSL 3.0.7 1 Nov 2022)

Also there's this discussion on removing Whirlpool: https://github.com/openssl/openssl/issues/5118

Also, my LUKS partition is using whirlpool.

#21 - 2022-11-07 02:22 PM - wael

If the case with whirlpool removal holds this will probably break all Libreboot systems with FDE.
At least on my ThinkPad T400 | followed what used to be the official guide on libreboot.org (now the one in Parabola's wiki) and that ends up with the
hash spec being whirlpool (as verified on my machine).

#22 - 2022-11-07 03:47 PM - dllud
The hash algorithm in use by LUKS can be checked with

cryptsetup luksDump /dev/sdal
(change the device accordingly). It will show under Hash spec.

It should be possible to change the hash algorithm with something like:

cryptsetup reencrypt —-hash sha512 —--keep-key /dev/sdal
Check man cryptsetup-reencrypt for details.
#23 - 2022-11-07 04:10 PM - wael
dllud wrote:
It should be possible to change the hash algorithm with something like:

(-]

Check man cryptsetup-reencrypt for details.

Do note that cryptsetup-reencrypt isn't guaranteed to work, make sure you have backups.
Arch Wiki warns against possible data loss: https:/wiki.archlinux.org/title/Dm-crypt/Device_encryption#Re-encrypting_devices

#24 - 2022-11-08 08:18 AM - Mampir

| can confirm that switching from whirlpool to sha512 fixes the issue. Also installing the new version of the cryptsetup package (currently 2.5.0-4) also
brings back whirlpool support. | image the whirlpool support is going to be removed again in the future, so you should probably switch at some point. |
switched from whirlpool to sha512 by using:

cryptsetup luksFormat —--type luksl —--volume-key-file KEYFILE —--uuid UUID -c CIPHER -s KEY_SIZE -h sha512 /dev/
Be aware that there's LUKS1 and LUKS2. If you are using a Libreboot system, | image you are using probably LUKS1. If you don't specify "--type
luks1" it will install LUKS2, which takes bigger space in the beginning of the volume, and this will probably delete some of your data. If you are using

LUKS2, you could probably use "cryptsetup reencrypt”, but | haven't tested that. In any case, you should backup stuff, if you are not sure what you
are doing.

#25 - 2022-11-08 08:47 AM - wael

Mampir wrote:

"cryptsetup reencrypt”, but | haven't tested that. In any case, you should backup stuff, if you are not sure what you are doing.

Just to clarify, that command can be run on-line? Or from a live CD?

#26 - 2022-11-08 11:02 AM - direnis

bill-auger wrote:

if ppl need to repair now:

> # ## openssl 3.* installed (after upgrading):
> 4§ pacstrap /path/to/broken/system/ openssl-1.1 parabola-keyring
> # ## —> then reboot then pacman -Syu

A little bit late, but just pacstrapping openssl-1.1 alone did not worked for me, i had to chroot and run mkinitcpio and grub-mkconfig. (Had and solved
the problem at 5/11/2022)

#27 - 2022-11-08 01:02 PM - bill-auger
so to be clear, the boot issue was not related to openssl? and affected only system users, and for only 3 days?
the topic of this ticket is pacman+openss| missing libcrypto.so.1.1 - it is a parabola-specific 'bug' ticket - the boot issue should be a new ticket, if not

fixed already - that would be a 'forwarded-upstream' ticket, because it affects all arch users as well - parabola would normally not fix those, but for the
severity and urgency of preventing the boot failures and borked pacman binaries

#28 - 2022-11-08 01:11 PM - wael

This is still related to the openssl issue, cryptsetup relies on openssl (listed as a dependency), doesn't matter much what the init system is, whirlpool
is unusable now and so any LUKS-encrypted system using whirlpool as the hash spec will have this issue.

#29 - 2022-11-08 01:19 PM - direnis

when the pacman error was present, i could not boot into my system, it'd throw me into the emercany shell that i cant use my keyboard with. had to
force off my system and boot to live iso. everything turned to normal when i fixed the openssl-pacman issue and ran mkinitcpio chrooted.

#30 - 2022-11-08 05:29 PM - GNUtoo

Is it a good idea if we rebuild cryptsetup and link it to openssl-1.1 ?

That would fix the whirpool issue, but it would require us to blacklist upstream cryptsetup at least until upstream fixes that too.
Or should we just wait for the various Arch Linux to fix it?

After upgrading whirlpool works (I can create LUKS volumes with whirlpool).

So for now we have:

Arch OpenSSL cryptsetup luksFormat -h whirlpool
armv7h 1.1.1.9-1 2.5.0-1 ?

686 1.1.1.9-1.0 24.1-1.0 OK

x86_64 3.0.7-2 2.5.0-4 OK

| used this script for testing:

#!/bin/sh
# GPLv3+
usage ()
{
echo "$0 <path/to/image>"
exit 1
}
if [ $# -ne 1 ] ; then
usage
fi
image="§1"
size="100M"
gemu-img create -f raw "${image}" "${size}"
sudo cryptsetup luksFormat \
——type luksl \
-h whirlpool \
${image}

#31 - 2022-11-08 05:32 PM - bill-auger

Is it a good idea if we rebuild cryptsetup and link it to openssl|-1.1 ?

i have new cryptsetup package(s) ready also; but they may not be needed now, since cryptsetup 2.5.0-4 this morning

wael wrote:
This is still related to the openssl issue, cryptsetup relies on openssl

i only want to document this/these seemingly related problems clearly - there seems to be multiple issues, and each appear to now have an
independent fix - one involving 'pacman’+'openssl'=various_libcrypt*_errors; and the other involving 'cryptsetup’, dropping support for
whirlpool-summed FS - these may seem related only due to the timing and severity of the two problems

cryptsetup does not rely on any specific version of openssl, and openssl is probably not the cause of the whirlpool/mount failures - AFAICT, the
encrypted boot breakage is fixed by cryptsetup 2.5.0-4, the entire purpose of the pkgrel '4' rebuild/patch (restores whirlpool support) - i added that to
the news item earlier - if that holds, then the cryptsetup problem would not be documented, though it would deserve separate bug report, if not yet
fixed

i have a new pacman ready which depends on openssl-1.1, so can close this ticket today - pacman, being in 'base’, assures that everyone will get the
fix - hopefully most parabola users do not upgrade every day (many/most will never hit that boot failure) - if ppl still can not boot, something drastic
may be necessary - i have ideas about that already

#32 - 2022-11-09 10:02 PM - bill-auger
- Parent task set to #3372

#33 - 2022-11-09 10:02 PM - bill-auger

- Subject changed from pacman -Syu error breaks pacman - may require chrooting - error while loading shared libraries: libcrypto.so.1.1: cannot open
shared object file: No such file or directory to pacman -Syu error breaks pacman - may require chrooting

#34 - 2022-11-14 03:31 AM - bill-auger
- % Done changed from 0 to 90

#35 - 2022-12-15 05:53 PM - bill-auger

- Status changed from in progress to fixed
